Takunojiのプログラミング・プレイグラウンド(遊び場)

プログラミングのススメとか記載します、今までにやったのは、環境構築、実装方法の説明など、Java, UnrealEngine, Unity, BlenderPython, Discord, OpenCV, TensorFlow(Python), ラズパイ(RPi)などやりました。まだ中途半端ですが。。。

JavaMeを使う 真・開発環境構築 失敗〜Net Beans編〜

これも失敗しました。-> Macの場合(JDKの問題)
Javaのバージョンを1.8でやるようにすれば大丈夫みたいです。
JDKが新しいから何も調べずにインストールすると後で面倒くさい…

ちょいと反省…


下のものをダウンロード、インストールします。
<インストール>
1. Net Beansインストール:https://netbeans.org/downloads/
2. Net Beans用のSDK        :  Java ME SDK Downloads

NetBeansは簡単にインストールできると思うので省略します。

f:id:Takunoji:20180421144158p:plain

Net Beans起動

f:id:Takunoji:20180421144525p:plain ← このアイコン(Mac)

f:id:Takunoji:20180421144459p:plain

実際に起動して、プロジェクトを作成するときに以下のような画面が出ました。

f:id:Takunoji:20180421145200p:plain

JavaMe関連がダウンロードできるのか?
アツいものを感じます!!

f:id:Takunoji:20180421145306p:plain

インストール!

f:id:Takunoji:20180421145534p:plain

途中「自己責任で〜」とダイヤろぐが出ますが気にせず続行
Net Beansの再起動して再度開きます。

f:id:Takunoji:20180421150703p:plain

Javaのバージョンを1.8以上にしているとNetBeans8.2では動きませんでした。
ちょいと注意した方が良いかも?
Javaバージョンの切り替え方法(Mac)

ここのサイトを参考にしてやりました。

qiita.com

でもコマンドの入力をミスってしまい。。。
lsコマンドとか使用不能になりました。
やる前に以下のコマンドでPATHの値を保存しておくと良いと思います。
一応危険なので注意してやるようにしてください、後が面倒臭いです。

でも、結局は「Net Beans」でプロジェクトの作成ができませんでした。
つくづく、縁がないのなぁ「Net Beans」